diff -Nurd libxml2-2.9.14.orig/Makefile.in libxml2-2.9.14/Makefile.in
--- libxml2-2.9.14.orig/Makefile.in	2022-05-02 07:42:30.000000000 -0400
+++ libxml2-2.9.14/Makefile.in	2022-05-24 03:17:06.000000000 -0400
@@ -734,7 +734,7 @@
 @USE_VERSION_SCRIPT_FALSE@LIBXML2_VERSION_SCRIPT = 
 @USE_VERSION_SCRIPT_TRUE@LIBXML2_VERSION_SCRIPT = $(VERSION_SCRIPT_FLAGS)$(srcdir)/libxml2.syms
 libxml2_la_LDFLAGS = $(CYGWIN_EXTRA_LDFLAGS) $(WIN32_EXTRA_LDFLAGS) \
-		     $(LIBXML2_VERSION_SCRIPT) \
+		     $(LIBXML2_VERSION_SCRIPT) -no-undefined \
 		     -version-info $(LIBXML_VERSION_INFO) \
 		     $(MODULE_PLATFORM_LIBS)
 
diff -Nurd libxml2-2.9.14.orig/doc/Makefile.in libxml2-2.9.14/doc/Makefile.in
--- libxml2-2.9.14.orig/doc/Makefile.in	2022-05-02 07:42:30.000000000 -0400
+++ libxml2-2.9.14/doc/Makefile.in	2022-05-24 03:17:06.000000000 -0400
@@ -1145,7 +1145,7 @@
 
 install-data-local: 
 	$(MKDIR_P) $(DESTDIR)$(HTML_DIR)
-	-$(INSTALL) -m 0644 $(srcdir)/xml.html $(srcdir)/encoding.html $(srcdir)/FAQ.html $(srcdir)/structure.gif $(srcdir)/DOM.gif $(srcdir)/smallfootonly.gif $(srcdir)/redhat.gif $(srcdir)/libxml.gif $(srcdir)/w3c.png $(srcdir)/Libxml2-Logo-180x168.gif $(srcdir)/Libxml2-Logo-90x34.gif $(DESTDIR)$(HTML_DIR)
+	-$(INSTALL) -m 0644 $(srcdir)/*.html $(srcdir)/*.gif $(srcdir)/*.png $(srcdir)/libxml2-api.xml $(DESTDIR)$(HTML_DIR)
 	$(MKDIR_P) $(DESTDIR)$(HTML_DIR)/html
 	-$(INSTALL) -m 0644 $(srcdir)/html/*.html $(DESTDIR)$(HTML_DIR)/html
 	-$(INSTALL) -m 0644 $(srcdir)/html/*.png $(DESTDIR)$(HTML_DIR)/html
diff -Nurd libxml2-2.9.14.orig/doc/examples/Makefile.in libxml2-2.9.14/doc/examples/Makefile.in
--- libxml2-2.9.14.orig/doc/examples/Makefile.in	2022-05-02 07:42:31.000000000 -0400
+++ libxml2-2.9.14/doc/examples/Makefile.in	2022-05-24 03:19:05.000000000 -0400
@@ -971,7 +971,7 @@
 @REBUILD_DOCS_TRUE@	$(MAKE) Makefile
 
 @REBUILD_DOCS_TRUE@index.html: examples.xml examples.xsl
-@REBUILD_DOCS_TRUE@	cd $(srcdir) && xsltproc examples.xsl examples.xml && echo "Rebuilt web page"
+@REBUILD_DOCS_TRUE@	cd $(srcdir) && xsltproc --nonet examples.xsl examples.xml && echo "Rebuilt web page"
 @REBUILD_DOCS_TRUE@	-cd $(srcdir) && xmllint --valid --noout index.html
 
 install-data-local: 
diff -Nurd libxml2-2.9.14.orig/libxml-2.0.pc.in libxml2-2.9.14/libxml-2.0.pc.in
--- libxml2-2.9.14.orig/libxml-2.0.pc.in	2022-05-02 06:52:42.000000000 -0400
+++ libxml2-2.9.14/libxml-2.0.pc.in	2022-05-24 03:17:06.000000000 -0400
@@ -9,5 +9,4 @@
 Description: libXML library version2.
 Requires:
 Libs: -L${libdir} -lxml2
-Libs.private: @ICU_LIBS@ @THREAD_LIBS@ @Z_LIBS@ @LZMA_LIBS@ @ICONV_LIBS@ @M_LIBS@ @WIN32_EXTRA_LIBADD@ @LIBS@
 Cflags: @XML_INCLUDEDIR@ @XML_CFLAGS@
diff -Nurd libxml2-2.9.14.orig/libxml2-config.cmake.in libxml2-2.9.14/libxml2-config.cmake.in
--- libxml2-2.9.14.orig/libxml2-config.cmake.in	2021-01-15 12:39:38.000000000 -0500
+++ libxml2-2.9.14/libxml2-config.cmake.in	2022-05-24 03:17:06.000000000 -0400
@@ -50,46 +50,6 @@
 set(LIBXML2_WITH_LZMA @WITH_LZMA@)
 set(LIBXML2_WITH_ZLIB @WITH_ZLIB@)
 
-if(LIBXML2_WITH_ICONV)
-  find_dependency(Iconv)
-  list(APPEND LIBXML2_LIBRARIES    ${Iconv_LIBRARIES})
-  list(APPEND LIBXML2_INCLUDE_DIRS ${Iconv_INCLUDE_DIRS})
-  list(APPEND LIBXML2_INTERFACE_LINK_LIBRARIES "Iconv::Iconv")
-endif()
-
-if(LIBXML2_WITH_THREADS)
-  find_dependency(Threads)
-  list(APPEND LIBXML2_LIBRARIES    ${CMAKE_THREAD_LIBS_INIT})
-  list(APPEND LIBXML2_INTERFACE_LINK_LIBRARIES "\$<LINK_ONLY:Threads::Threads>")
-endif()
-
-if(LIBXML2_WITH_ICU)
-  find_dependency(ICU COMPONENTS data i18n uc)
-  list(APPEND LIBXML2_LIBRARIES    ${ICU_LIBRARIES})
-  list(APPEND LIBXML2_INTERFACE_LINK_LIBRARIES "\$<LINK_ONLY:ICU::data>;\$<LINK_ONLY:ICU::i18n>;\$<LINK_ONLY:ICU::uc>")
-endif()
-
-if(LIBXML2_WITH_LZMA)
-  find_dependency(LibLZMA)
-  list(APPEND LIBXML2_LIBRARIES    ${LIBLZMA_LIBRARIES})
-  list(APPEND LIBXML2_INTERFACE_LINK_LIBRARIES "\$<LINK_ONLY:LibLZMA::LibLZMA>")
-endif()
-
-if(LIBXML2_WITH_ZLIB)
-  find_dependency(ZLIB)
-  list(APPEND LIBXML2_LIBRARIES    ${ZLIB_LIBRARIES})
-  list(APPEND LIBXML2_INTERFACE_LINK_LIBRARIES "\$<LINK_ONLY:ZLIB::ZLIB>")
-endif()
-
-if(UNIX)
-  list(APPEND LIBXML2_LIBRARIES    m)
-  list(APPEND LIBXML2_INTERFACE_LINK_LIBRARIES "\$<LINK_ONLY:m>")
-endif()
-
-if(WIN32)
-  list(APPEND LIBXML2_LIBRARIES    ws2_32)
-  list(APPEND LIBXML2_INTERFACE_LINK_LIBRARIES "\$<LINK_ONLY:ws2_32>")
-endif()
 
 # whether libxml2 has dso support
 set(LIBXML2_MODULES @WITH_MODULES@)
diff -Nurd libxml2-2.9.14.orig/update-sgml-catalog libxml2-2.9.14/update-sgml-catalog
--- libxml2-2.9.14.orig/update-sgml-catalog	1969-12-31 19:00:00.000000000 -0500
+++ libxml2-2.9.14/update-sgml-catalog	2022-05-24 03:17:06.000000000 -0400
@@ -0,0 +1,28 @@
+#!/bin/sh -e
+#
+# update-sgml-catalog
+# see DescPackaging field of libxml2 .info file for usage.
+#
+
+CATALOG=@PREFIX@/etc/sgml/catalog
+CATALOG_D=@PREFIX@/etc/sgml/catalog.d
+
+mkdir -p ${CATALOG_D}
+
+TMPFILE=`tempfile`
+
+if [ "`echo ${CATALOG_D}/*`" != "${CATALOG_D}/*" ]; then
+  cat ${CATALOG_D}/* | sed 's/#.*$//g' | {
+    while read cat; do
+      if [ -z "${cat}" ]; then
+        continue
+      fi
+      echo CATALOG ${cat} >>${TMPFILE}
+    done
+  }
+fi
+
+mv -f ${TMPFILE} ${CATALOG}
+chmod 0644 ${CATALOG}
+
+exit 0
diff -Nurd libxml2-2.9.14.orig/update-xml-catalog libxml2-2.9.14/update-xml-catalog
--- libxml2-2.9.14.orig/update-xml-catalog	1969-12-31 19:00:00.000000000 -0500
+++ libxml2-2.9.14/update-xml-catalog	2022-05-24 03:17:06.000000000 -0400
@@ -0,0 +1,29 @@
+#!/bin/sh -e
+#
+# update-xml-catalog
+# see DescPackaging field of libxml2 .info file for usage.
+#
+
+CATALOG=@PREFIX@/etc/xml/catalog
+CATALOG_D=@PREFIX@/etc/xml/catalog.d
+
+mkdir -p ${CATALOG_D}
+
+TMPFILE=`tempfile`
+xmlcatalog --create >>${TMPFILE}
+
+if [ "`echo ${CATALOG_D}/*`" != "${CATALOG_D}/*" ]; then
+  cat ${CATALOG_D}/* | sed 's/#.*$//g' | {
+    while read type orig replace; do
+      if [ -z "${type}" -o -z "${orig}" -o -z "${replace}" ]; then
+        continue
+      fi
+      eval xmlcatalog --noout --add ${type} ${orig} ${replace} ${TMPFILE}
+    done
+  }
+fi
+
+mv -f ${TMPFILE} ${CATALOG}
+chmod 0644 ${CATALOG}
+
+exit 0
diff -Nurd libxml2-2.9.14.orig/xml2-config.1 libxml2-2.9.14/xml2-config.1
--- libxml2-2.9.14.orig/xml2-config.1	2022-05-02 06:52:43.000000000 -0400
+++ libxml2-2.9.14/xml2-config.1	2022-05-24 03:17:06.000000000 -0400
@@ -16,7 +16,6 @@
 .TP 8
 .B  \-\-libs
 Print the linker flags that are necessary to link a \fIGNOME-XML\fP program.
-Add \-\-dynamic after --libs to print only shared library linking information.
 .TP 8
 .B  \-\-cflags
 Print the compiler flags that are necessary to compile a \fIGNOME-XML\fP program.
diff -Nurd libxml2-2.9.14.orig/xml2-config.in libxml2-2.9.14/xml2-config.in
--- libxml2-2.9.14.orig/xml2-config.in	2022-05-02 06:52:43.000000000 -0400
+++ libxml2-2.9.14/xml2-config.in	2022-05-24 03:17:06.000000000 -0400
@@ -16,8 +16,8 @@
 
   --prefix=DIR		change libxml prefix [default $prefix]
   --exec-prefix=DIR	change libxml exec prefix [default $exec_prefix]
-  --libs		print library linking information
-                        add --dynamic to print only shared libraries
+  --libs		print dynamic library linking information
+                        (--dynamic is a no-op, always assumed)
   --cflags		print pre-processor and compiler flags
   --modules		module support enabled
   --help		display this help and exit
@@ -86,7 +86,7 @@
             shift
             libs="@XML_LIBS@"
         else
-            libs="@XML_LIBS@ @XML_PRIVATE_LIBS@ @MODULE_PLATFORM_LIBS@"
+            libs="@XML_LIBS@"
         fi
 
         if [ "@XML_LIBDIR@" != "-L/usr/lib" -a "@XML_LIBDIR@" != "-L/usr/lib64" ]; then
diff -Nurd libxml2-2.9.14.orig/xml2Conf.sh.in libxml2-2.9.14/xml2Conf.sh.in
--- libxml2-2.9.14.orig/xml2Conf.sh.in	2022-05-02 06:52:43.000000000 -0400
+++ libxml2-2.9.14/xml2Conf.sh.in	2022-05-24 03:17:06.000000000 -0400
@@ -2,7 +2,7 @@
 # Configuration file for using the XML library in GNOME applications
 #
 XML2_LIBDIR="@XML_LIBDIR@"
-XML2_LIBS="@XML_LIBS@ @XML_PRIVATE_LIBS@"
+XML2_LIBS="@XML_LIBS@"
 XML2_INCLUDEDIR="@XML_INCLUDEDIR@"
 MODULE_VERSION="xml2-@VERSION@"
 